#include <iostream>
using namespace std;

void selectionSort(int a[], int n) {
   int i, j, min, temp;
   for (i = 0; i < n - 1; i++) {
      min = i;
      for (j = i + 1; j < n; j++)
      if (a[j] < a[min])
      min = j;
      temp = a[i];
      a[i] = a[min];
      a[min] = temp;
   }
}

int main()
{
    int n,q;
    cin >> n >> q;
    int a[n];
    int b[q];
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin >> b[i];
    }
    selectionSort(a,n);
    selectionSort(b,q);

    int suma[q],k=0;
    for(int i=0;i<q;i++)
    {
        int index=n/2+1;
        for(int j=0;j<n;j++)
        {
            if(b[i]==a[j])
            {
                int mesto = j;
                if(mesto==index)suma[i]=0;
                else if(mesto>index)
                {
                    int p=n;
                    while(mesto!=index)
                    {
                        p++;
                        index=p/2+1;

                    }
                    suma[i]=p-n;
                }
                else
                {
                    int p=n;
                    while(mesto!=index)
                    {
                        mesto++;
                        p++;
                        index=p/2+1;

                    }
                    suma[i]=p-n;
                }

            }

        }
    }

    for(int i=0;i<q;i++)
    {
        cout << suma[q] << endl;
    }

    return 0;
}